<?xml version="1.0" encoding="UTF-8"?>
<!--
Template: Arrowheads.xsl

Templates used for building Arrowhead markers
-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/2000/svg" xmlns:UML="org.omg.xmi.namespace.UML">
	<xsl:output media-type="image/svg+xml" method="xml" indent="yes"/>

	<!-- Generalization -->
	<!-- White triangle -->
	<xsl:template name="GeneralizationArrowhead">
		<xsl:param name="OwnerDiagramID" />
		<marker id="GeneralizationArrowhead{$OwnerDiagramID}" viewBox="-1 -1 13 12" refX="10.5" refY="5" markerWidth="12" markerHeight="12" orient="auto" fill="white">
			<path d="M 0 0 L 10 5 0 10 z"/>
		</marker>
	</xsl:template>

	<!-- Synchronous -->
	<!-- Black triangle -->
	<xsl:template name="SynchronousArrowheadEnd">
		<xsl:param name="OwnerDiagramID" />
		<marker id="SynchronousArrowheadEnd{$OwnerDiagramID}" viewBox="-1 -1 13 12" refX="10.5" refY="5" markerWidth="12" markerHeight="12" orient="auto" fill="black">
			<path d="M 0 0 L 10 5 0 10 z"/>
		</marker>
	</xsl:template>
	<xsl:template name="SynchronousArrowheadStart">
		<xsl:param name="OwnerDiagramID" />
		<marker id="SynchronousArrowheadStart{$OwnerDiagramID}" viewBox="-10 -1 13 12" refX="-10.5" refY="5" markerWidth="12" markerHeight="12" orient="auto" fill="black">
			<path d="M 0 0 L -10 5 L 0 10 z"/>
		</marker>
	</xsl:template>


	<!-- Asynchronous -->
	<!-- Simple arrowhead -->
	<xsl:template name="AsynchronousArrowheadEnd">
		<xsl:param name="OwnerDiagramID" />
		<marker id="AsynchronousArrowheadEnd{$OwnerDiagramID}" viewBox="-1 -1 13 12" refX="10.5" refY="5" markerWidth="12" markerHeight="12" orient="auto" fill="none">
			<path d="M 0 0 L 10 5 0 10"/>
		</marker>
	</xsl:template>
	<xsl:template name="AsynchronousArrowheadStart">
		<xsl:param name="OwnerDiagramID" />
		<marker id="AsynchronousArrowheadStart{$OwnerDiagramID}" viewBox="-10 -1 13 12" refX="-10.5" refY="5" markerWidth="12" markerHeight="12" orient="auto" fill="none">
			<path d="M 0 0 L -10 5 L 0 10"/>
		</marker>
	</xsl:template>

	<!-- Link -->
	<!-- Simple arrowhead -->
	<xsl:template name="LinkArrowhead">
		<xsl:param name="OwnerDiagramID" />
		<marker id="LinkArrowhead{$OwnerDiagramID}" viewBox="-1 -1 13 12" refX="0.5" refY="5" markerWidth="12" markerHeight="12" orient="auto" fill="none">
			<path d="M 10 0 L 0 5 10 10"/>
		</marker>
	</xsl:template>

	<!-- Dependency -->
	<!-- Simple arrowhead -->
	<xsl:template name="DependencyArrowhead">
		<xsl:param name="OwnerDiagramID" />
		<marker id="DependencyArrowhead{$OwnerDiagramID}" viewBox="-1 -1 13 12" refX="10.5" refY="5" markerWidth="12" markerHeight="12" orient="auto" fill="none">
			<path d="M 0 0 L 10 5 0 10"/>
		</marker>
	</xsl:template>

	<!-- Directed Association -->
	<!-- Simple arrowhead -->
	<xsl:template name="DirectedArrowheadEnd">
		<xsl:param name="OwnerDiagramID" />
		<marker id="DirectedArrowheadEnd{$OwnerDiagramID}" viewBox="-1 -1 13 12" refX="10.5" refY="5" markerWidth="12" markerHeight="12" orient="auto" fill="none">
			<path d="M 0 0 L 10 5 0 10"/>
		</marker>
	</xsl:template>
	<xsl:template name="DirectedArrowheadStart">
		<xsl:param name="OwnerDiagramID" />
		<marker id="DirectedArrowheadStart{$OwnerDiagramID}" viewBox="-10 -1 13 12" refX="-10.5" refY="5" markerWidth="12" markerHeight="12" orient="auto" fill="none">
			<path d="M 0 0 L -10 5 L 0 10"/>
		</marker>
	</xsl:template>

	<!-- Aggregation -->
	<!-- A white diamond -->
	<xsl:template name="AggregationArrowheadEnd">
		<xsl:param name="OwnerDiagramID" />
		<marker id="AggregationArrowheadEnd{$OwnerDiagramID}" viewBox="-1 -1 23 12" refX="20.5" refY="5" markerWidth="22" markerHeight="12" orient="auto" fill="white">
			<path d="M 0 5 L 10 10 20 5 10 0 z"/>
		</marker>
	</xsl:template>
	<xsl:template name="AggregationArrowheadStart">
		<xsl:param name="OwnerDiagramID" />
		<marker id="AggregationArrowheadStart{$OwnerDiagramID}" viewBox="-21 -1 23 12" refX="-20.5" refY="5" markerWidth="22" markerHeight="12" orient="auto" fill="white">
			<path d="M0 5 L -10 10 -20 5 -10 0 z"/>
		</marker>
	</xsl:template>
	<!-- Aggregation + Directional -->
	<!-- A white diamond preceded by a simple arrowhead -->
	<xsl:template name="DirectedAggregationArrowheadEnd">
		<xsl:param name="OwnerDiagramID" />
		<marker id="DirectedAggregationArrowheadEnd{$OwnerDiagramID}" viewBox="-1 -1 32 11" refX="30.5" refY="5" markerWidth="32" markerHeight="12" orient="auto" fill="white">
			<path fill="none" d="M 0 0 L 10 5 0 10"/>
			<path d="M 10 5 L20 10 30 5 20 0 z"/>
		</marker>
	</xsl:template>
	<xsl:template name="DirectedAggregationArrowheadStart">
		<xsl:param name="OwnerDiagramID" />
		<marker id="DirectedAggregationArrowheadStart{$OwnerDiagramID}" viewBox="-31 -1 32 11" refX="-30.5" refY="5" markerWidth="32" markerHeight="12" orient="auto" fill="white">
			<path fill="none" d="M 0 0 L -10 5 0 10"/>
			<path d="M -10 5 L-20 10 -30 5 -20 0 z"/>
		</marker>
	</xsl:template>

	<!-- Composition -->
	<!-- A filled diamond -->
	<xsl:template name="CompositionArrowheadEnd">
		<xsl:param name="OwnerDiagramID" />
		<marker id="CompositionArrowheadEnd{$OwnerDiagramID}" viewBox="-1 -1 23 11" refX="20.5" refY="5" markerWidth="22" markerHeight="12" orient="auto" fill="black">
			<path d="M 0 5 L 10 10 20 5 10 0 z"/>
		</marker>
	</xsl:template>
	<xsl:template name="CompositionArrowheadStart">
		<xsl:param name="OwnerDiagramID" />
		<marker id="CompositionArrowheadStart{$OwnerDiagramID}" viewBox="-21 -1 23 11" refX="-20.5" refY="5" markerWidth="22" markerHeight="12" orient="auto" fill="black">
			<path fill="black" d="M 0 5 L -10 10 -20 5 -10 0 z"/>
		</marker>
	</xsl:template>
	<!-- Composition + Directional -->
	<!-- A filled diamond preceded by a simple arrowhead -->
	<xsl:template name="DirectedCompositionArrowheadEnd">
		<xsl:param name="OwnerDiagramID" />
		<marker id="DirectedCompositionArrowheadEnd{$OwnerDiagramID}" viewBox="-1 -1 32 11" refX="30.5" refY="5" markerWidth="32" markerHeight="12" orient="auto" fill="black">
			<path fill="none" d="M 0 0 L 10 5 0 10"/>
			<path fill="black" d="M 10 5 L20 10 30 5 20 0 z"/>
		</marker>
	</xsl:template>
	<xsl:template name="DirectedCompositionArrowheadStart">
		<xsl:param name="OwnerDiagramID" />
		<marker id="DirectedCompositionArrowheadStart{$OwnerDiagramID}" viewBox="-31 -1 32 12" refX="-30.5" refY="5" markerWidth="12" markerHeight="12" orient="auto" fill="black">
			<path fill="none" d="M 0 0 L -10 5 0 10"/>
			<path fill="black" d="M -10 5 L-20 10 -30 5 -20 0 z"/>
		</marker>
	</xsl:template>
</xsl:stylesheet>